Skip to main content
PATCH
Patch a Gen AI Endpoint version

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

endpointId
string
required

The ID of the Gen AI Endpoint.

versionNumber
integer
required

The Number of the Gen AI Endpoint Version.

Body

application/json

What to patch in the Endpoint Version

collaborators
object[]
configuration
object
description
string

The description of the endpoint

Example:

"My Endpoint Description"

environment
object
generalAccess
enum<string>
Available options:
Restricted,
Viewer,
Consumer
hardwareTierId
string

The hardware tier ID of the endpoint

Example:

"62313ce67a0af0281c01a6a5"

instructions
string

The instructions for using the endpoint

Example:

"Use the endpoint to generate text"

modelSource
object
name
string

The name of the endpoint

Example:

"My Endpoint"

vanityUrl
string

The vanity URL of the endpoint

Example:

"my-endpoint-url"

versionDescription
string

The description of the initial version of the endpoint

Example:

"My Endpoint Version Description"

versionLabel
string

The label of the initial version of the endpoint

Example:

1

Response

Success

The result of patch an endpoint version

endpoint
object
required
version
object
required
Last modified on June 26, 2026